This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 100868 - cursor position not the same as click position throughout installation
cursor position not the same as click position throughout installation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-26 05:51 EDT by David Banister
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-22 09:37:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Banister 2003-07-26 05:51:51 EDT
From Bugzilla Helper:

Description of problem:
The cursor moves as it should, but the actual control that is clicked is about 
an inch and a half down and to the right of the cursor. Although the screen 
bounds look normal the cursor cannot move to the bottom right of the screen, 
but does not stop at the top left.

I did check the installation media (several times) and it passed every time. I 
reinstalled several times to see if it was a fluke and the same bug repeats 
everytime. I have not installed on a different machine (because I don't have 
one readily available).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from installation media
2. Choose graphical mode
    

Actual Results:  Same as above.

Expected Results:  The mouse should behave normally.

Additional info:

My Hardware:
Sony VAIO Notebook - Model# FX-220
Intel Pentium 3 Mobile
512 MB RAM
Intel 815EM Chipset (Intel 82815 Graphics Controller)
Generic Flat Panel LCD Screen (1024x768)
Alps Pointer

Installation Media:
Installing using CD's burned from the iso images downloaded via ftp.
Comment 1 Michael Fulbright 2003-08-04 15:42:46 EDT
Mike do you know of any X problems on this hardware?
Comment 2 Mike A. Harris 2003-10-15 07:13:03 EDT
This sounds like a video driver bug.  Please attach your X server config
file and log file as individual uncompressed browser readable file attachments
using the bugzilla file attachment feature below.

Then try editing the config file and using the following in the device section:

Option "swcursor"

Does this option make the problem go away?
Comment 3 Mike A. Harris 2004-12-22 09:37:03 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.